# Assign Drop

<mark style="color:blue;">`GET`</mark> `{baseUrl}/drops/assign`

Assigns drop to partner

#### Headers

| Name                                          | Type   | Description |
| --------------------------------------------- | ------ | ----------- |
| app\_id<mark style="color:red;">\*</mark>     | String |             |
| app\_secret<mark style="color:red;">\*</mark> | String |             |

#### Request Body

| Name                                        | Type           | Description       |
| ------------------------------------------- | -------------- | ----------------- |
| dropIds<mark style="color:red;">\*</mark>   | Array\<String> | Array of Drop Ids |
| partnerId<mark style="color:red;">\*</mark> | String         | PartnerId         |

{% tabs %}
{% tab title="200: OK Drop assigned successfully" %}

{% endtab %}

{% tab title="400: Bad Request Invalid partnerId" %}

{% endtab %}
{% endtabs %}

```
// Sample Request Information
Url: https://sandbox.sendstack.africa/api/v1/drops/assign
Method: POST
Headers: 
 - app_id: "your app_id"
 - app_secret: "your app_secret"
```

### Sample Success Data

<pre class="language-json"><code class="lang-json"><strong>//Sample Request Body
</strong>{
    "partnerId": "{{partnerId}}",
    "dropIds": ["65b8c2c734d8cd1be099fd45"]
}
</code></pre>

```json
//Sample Response Body - 200 OK
{
    "status": true,
    "message": "Drop assigned successfully",
    "data": [
        {}
    ]
}
```

### Sample Error Data

```json
//Sample Request Body
{
    "partnerId": "invalid id",
    "dropIds": ["65b8c2c734d8cd1be099fd45"]
}
```

```json
//Sample Response Body - 400 Bad Request
{
    "status": false,
    "message": "Invalid partnerId"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sendstackhq.com/delivery-api/bookings/assign-drop.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
